Bug 147927 - IRQ11 disabled during boot then hangs
IRQ11 disabled during boot then hangs
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-13 02:39 EST by Tom Berkley
Modified: 2015-01-04 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-27 23:42:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Berkley 2005-02-13 02:39:35 EST
Description of problem:ASUS A7N8X deluxe mobo, XP2800 CPU, Sil3112a
sata controller, hitachi 250gb sata drive (new) not primary drives.
Without a sata drive, the system works fine. With power connected to
sata drive, after network and audio messages, screen shows IRQ#11
disabled and the system hangs. Have left in this state for 30+ minutes
just to see if something had to time out. No joy. Even tried the asus
supplied sata driver for RH9.


Version-Release number of selected component (if applicable):current
to date - 2.6.10-1.760_FC3


How reproducible:Every time.


Steps to Reproduce:
1. enable the sata controller jumper on mobo.
2. connect power and data cable to the sata drive
3. boot
  
Actual results: irq#11 disables and system hangs.


Expected results:normal boot


Additional info: win2k dual boot works fine; partitioned, formatted
and used the drive without problem with the redmond software.
(if you'll point me to the instructions for compiling kernel with fc3,
I'll experiment there. have not figured out the kernel source on fc3 yet!
thanks
Comment 1 Tom Berkley 2005-02-23 23:09:12 EST
Installed mandrake 10.1 and it recognizes the SiI 3112A sata
controller and mounts the drive without any problem.
Comment 2 Philippe Morry 2005-04-18 16:09:33 EDT
Same as bug 128180.
thanks

 


(In reply to comment #0)
> Description of problem:ASUS A7N8X deluxe mobo, XP2800 CPU, Sil3112a
> sata controller, hitachi 250gb sata drive (new) not primary drives.
> Without a sata drive, the system works fine. With power connected to
> sata drive, after network and audio messages, screen shows IRQ#11
> disabled and the system hangs. Have left in this state for 30+ minutes
> just to see if something had to time out. No joy. Even tried the asus
> supplied sata driver for RH9.
> 
> 
> Version-Release number of selected component (if applicable):current
> to date - 2.6.10-1.760_FC3
> 
> 
> How reproducible:Every time.
> 
> 
> Steps to Reproduce:
> 1. enable the sata controller jumper on mobo.
> 2. connect power and data cable to the sata drive
> 3. boot
>   
> Actual results: irq#11 disables and system hangs.
> 
> 
> Expected results:normal boot
> 
> 
> Additional info: win2k dual boot works fine; partitioned, formatted
> and used the drive without problem with the redmond software.
> (if you'll point me to the instructions for compiling kernel with fc3,
> I'll experiment there. have not figured out the kernel source on fc3 yet!
> thanks

Comment 3 Dave Jones 2005-07-15 15:58:01 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Tom Berkley 2005-07-24 10:10:54 EDT
Same problem with fc3 using kernel 2.6.12-1.1372_FC3 and fc4 using kernel
2.6.11-1.1369_FC4. Problem does not occur with win2k or mandrake 10.1. Problem
occurs with enterprise 4  and enterprise 4.1 update.
Comment 5 Andrew Ptak 2005-07-27 14:16:06 EDT
I experienced a similar problem using a linksys ethernet adapter with a new FC4
install.  My machine didn't hang but the ethernet card didn't work.  The work
around was to add acpi=off to the boot options.  This is with 2.6.12-1.1398_FC4smp.
Comment 6 Dave Jones 2005-09-30 02:33:56 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 7 Dave Jones 2005-11-10 14:33:43 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 8 Dave Jones 2005-12-27 23:42:00 EST
This bug has been mass-closed along with other bugs that have been in NEEDINFO
state for several months.

Due to the large volume of inactive bugs in bugzilla, this is the only method we
have of cleaning out stale bug reports where the reporter has disappeared.

If you can reproduce this bug after installing all the current updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting it be reopened,
and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.